Bug 229858 - Regularly slow bugzilla
Regularly slow bugzilla
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2007-02-23 15:28 EST by Karl Lattimer
Modified: 2013-06-23 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-01 14:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Lattimer 2007-02-23 15:28:53 EST
Redhat bugzilla is rediculously slow at times. Logins especially, any chance it
could be updated or moved onto better servers which are as responsive as gnome
bugzilla for instance?
Comment 1 ferg2k 2007-03-26 04:49:15 EDT
Bugzilla does not cope well with large datasets.  This is mostly due to some
vastly inefficient SQL generated by search.pm.  Add table-level locking into the
mix and you've got an even bigger headache.

Your main solutions will be in two areas.

DB settings:
 - Shift as many tables as you can into innoDB.  Its row-level locking will help
a lot versus myisam.  Note you'll have to keep myisam for full-text search of
the comments table
 - Use a shadowdb host for searches.
 - Index everything
 - Boost your ram.
 - Watch for temp tables being written to disk.

Code changes
 - search.pm has some very inefficient JOINs.
 - show the output of a search with added '&debug=1' to your friendly local dba. 
 - keep your .js clean.  you've got some runaway errors that seem to hork
firefox pretty badly.
 - the groups code is horribly inefficient.  it can add hundreds of permissions
checks to the display of a single bug.

Take a look at where you load is going, and if cpu is an issue.  If you're
seeing high perl and apache load, you might want to reconsider public access to
Comment 2 David Lawrence 2007-11-01 14:55:37 EDT
Should be improved now. Closing.

Note You need to log in before you can comment on or make changes to this bug.